Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 407173002: Added an annotation to label Integration tests. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 2 months ago by yojan
Modified:
2 years, 6 months ago
CC:
chromium-reviews, erikwright+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Added an annotation to label Integration tests. An IntegrationTest label will be required for tests that may require a greater timeout value than LargeTest allows. These tests will run against real instances of other services (e.g. Search). They may use command-line flags to change the backends that are being tested against. BUG=None Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=284821

Patch Set 1 #

Total comments: 2

Patch Set 2 : Updated Annotation #

Patch Set 3 : Test Runner changes for Integration tests. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -3 lines) Patch
M build/android/pylib/instrumentation/test_options.py View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M build/android/pylib/instrumentation/test_runner.py View 1 2 2 chunks +5 lines, -0 lines 0 comments Download
M build/android/test_runner.py View 1 2 4 chunks +10 lines, -2 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 15 (0 generated)
yojan
3 years, 2 months ago (2014-07-22 17:43:31 UTC) #1
jbudorick
+klundberg I'm ok with this % the EnormousTest weirdness, but I'll let the others take ...
3 years, 2 months ago (2014-07-22 17:46:50 UTC) #2
nyquist
why have both EnourmousTest and IntegrationTest?
3 years, 2 months ago (2014-07-22 17:52:52 UTC) #3
klundberg
To answer Tommy's question: EnormousTest just means that the test depend on external webpages whereas ...
3 years, 2 months ago (2014-07-22 18:43:26 UTC) #4
nyquist
if klundberg@ wants this then lgtm
3 years, 2 months ago (2014-07-22 19:47:58 UTC) #5
klundberg
On 2014/07/22 19:47:58, nyquist wrote: > if klundberg@ wants this then lgtm Thanks, Tommy! :-) ...
3 years, 2 months ago (2014-07-22 19:52:46 UTC) #6
yojan
The CQ bit was checked by yojan@google.com
3 years, 2 months ago (2014-07-22 20:59:39 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yojan@google.com/407173002/20001
3 years, 2 months ago (2014-07-22 21:01:01 UTC) #8
yojan
On 2014/07/22 19:52:46, klundberg wrote: > On 2014/07/22 19:47:58, nyquist wrote: > > if klundberg@ ...
3 years, 2 months ago (2014-07-22 21:01:39 UTC) #9
nyquist
Could you update the change description as well?
3 years, 2 months ago (2014-07-22 21:24:23 UTC) #10
yojan
On 2014/07/22 21:24:23, nyquist wrote: > Could you update the change description as well? Sure, ...
3 years, 2 months ago (2014-07-22 21:30:06 UTC) #11
nyquist
Nit: Could you wrap the description at ~70 chars? Anyway, still lgtm
3 years, 2 months ago (2014-07-22 22:08:40 UTC) #12
commit-bot: I haz the power
Change committed as 284821
3 years, 2 months ago (2014-07-23 00:15:05 UTC) #13
klundberg
Thanks, Yojan! And still lgtm
3 years, 2 months ago (2014-07-23 08:07:16 UTC) #14
candaceku
2 years, 6 months ago (2015-03-26 01:22:44 UTC) #15
Message was sent while issue was closed.
On 2014/07/22 17:46:50, jbudorick wrote:
> +klundberg
> 
> I'm ok with this % the EnormousTest weirdness, but I'll let the others take a
> look.
> 
>
https://codereview.chromium.org/407173002/diff/1/base/test/android/javatests/...
> File
>
base/test/android/javatests/src/org/chromium/base/test/util/IntegrationTest.java
> (right):
> 
>
https://codereview.chromium.org/407173002/diff/1/base/test/android/javatests/...
>
base/test/android/javatests/src/org/chromium/base/test/util/IntegrationTest.java:1:
> // Copyright 2014 The Chromium Authors. All rights reserved.
> Why is this comparing to EnormousTest...?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b